using System;

namespace CommonHelpers {

//**************************************************************************************************
public static class HAssertionFailureExceptionCreator {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/// <exception cref="ArgumentNullException" />
public static HAssertionFailureException Create(string messageFmt,params object[] parameters)
{
   HArgChecking.VerifyNotNulls( messageFmt, parameters );
   return new HAssertionFailureException( string.Format( messageFmt, parameters ) );
}
/// <exception cref="ArgumentNullException" />
public static HAssertionFailureException Create(Exception error)
{
   HArgChecking.VerifyNotNull( error );
   return new HAssertionFailureException( HException.GetErrorMessage( error ) );
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HAssertionFailureExceptionCreator
//**************************************************************************************************

} // CommonHelpers
